> For the complete documentation index, see [llms.txt](https://docs.coldstack.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coldstack.io/http-api-compatible-with-amazon-s3/api-reference/bucket/listbuckets.md).

# ListBuckets

Returns a list of buckets available to the user.

### Request <a href="#request" id="request"></a>

```
GET / HTTP/1.1
```

#### Headings <a href="#request-headers" id="request-headers"></a>

Use only [generic headers](/http-api-compatible-with-amazon-s3/api-reference/common-request-headers.md) in your request .

### Answer <a href="#response" id="response"></a>

#### Headings <a href="#response-headers" id="response-headers"></a>

The response can only contain [general headers](/http-api-compatible-with-amazon-s3/api-reference/common-response-headers.md) .

#### Answer codes <a href="#response-codes" id="response-codes"></a>

For a list of possible answers, see the [Answers](/http-api-compatible-with-amazon-s3/api-reference/answers.md) section .

The successful response contains additional data in XML format, the schema of which is described below.

#### Data schema <a href="#response-scheme" id="response-scheme"></a>

```
<ListAllMyBucketsResult>
  <Buckets>
    <Bucket>
      <Name>bucket-name</Name>
      <CreationDate>date_time</CreationDate>
    </Bucket>
    ...
  </Buckets>
</ListAllMyBucketsResult>
```

| Element                  | Description                                                                                                                                              |
| ------------------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `Bucket`                 | <p>Contains a description of the bucket.<br><br>Path: <code>/ListAllMyBucketsResult/Buckets/Bucket</code>.</p>                                           |
| `Buckets`                | <p>Contains a list of buckets.<br><br>Path: <code>/ListAllMyBucketsResult/Buckets</code>.</p>                                                            |
| `CreationDate`           | <p>Bucket creation time in <code>yyyy-mm-ddThh:mm:ss.timezone</code>.<br><br>Path: <code>/ListAllMyBucketsResult/Buckets/Bucket/CreationDate</code>.</p> |
| `ListAllMyBucketsResult` | <p>The root element of the response.<br><br>Path: <code>/ListAllMyBucketsResult</code>.</p>                                                              |
| `Name`                   | <p>Bucket name.<br><br>Path: <code>/ListAllMyBucketsResult/Buckets/Bucket/Name</code>.</p>                                                               |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.coldstack.io/http-api-compatible-with-amazon-s3/api-reference/bucket/listbuckets.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
